#ifndef __SECTION_H__
#define __SECTION_H__

/* Macros to allow functions to be placed in other code sections. */
#if defined(__GNUC__) && ! defined(__PLUGIN__)
#define SECT_DRV __attribute__ ((__section__("drvsect")))
#define SECT_HND  __attribute__ ((__section__("hndsect")))
#define SECT_UI  __attribute__ ((__section__("ui1sect")))
#define SECT_UI2 __attribute__ ((__section__("ui2sect")))
#define SECT_UI3 __attribute__ ((__section__("ui3sect")))
#define EDITSECT __attribute__ ((__section__("editsect")))
#define GRIDSECT __attribute__ ((__section__("gridsect")))
#define PLUGINSECT  __attribute__ ((__section__("plugsect")))
#define SECT_S __attribute__ ((__section__("scrsect")))
#define DEBUGSECT __attribute__ ((__section__("debugsect")))
#else
#define SECT_HND
#define SECT_UI
#define SECT_UI2
#define EDITSECT
#define GRIDSECT
#define PLUGINSECT
#define SECT_S
#define SECT_DRV
#define DEBUGSECT
#endif


#endif
